# $Revision: 1.33 $, $Date: 2001/10/16 23:35:52 $
Summary:	A GNU collection of diff utilities
Summary(de):	GNU-Sammlung von diff-Utilities
Summary(fr):	Utilitaires diff de GNU
Summary(pl):	Narzdzia diff GNU
Summary(tr):	GNU dosya karlatrma aralar
Name:		diffutils
Version:	2.7.2
Release:	5
License:	GPL
Group:		Applications/Text
Group(de):	Applikationen/Text
Group(fr):	Utilitaires/Texte
Group(pl):	Aplikacje/Tekst
Source0:	ftp://alpha.gnu.org/gnu/%{name}-%{version}.tar.gz
Source1:	%{name}-man-pages.tar.gz
Source2:	%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-info.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-immunix-owl-tmp.patch
URL:		http://www.gnu.org/software/diffutils/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Diffutils includes four utilities: diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line. The cmp
command shows the offset and line numbers where two files differ, or
cmp can show the characters that differ between the two files. The
diff3 command shows the differences between three files. Diff3 can be
used when two people have made independent changes to a common
original; diff3 can produce a merged file that contains both persons
changes and warnings about conflicts. The sdiff command can be used to
merge two files interactively.

%description -l de
Diffutils enthlt 4 Utilities: diff, cmp, diff3 und sdiff. Diff
vergleicht zwei Dateien und zeigt die Unterschiede, Zeile fr Zeile.
cmp zeigt Offset und Zeilennummern, in denen sich zwei Dateien
unterscheiden, cmp kann auch die Zeichen zeigen, die sich
unterscheiden. diff3 zeigt die Unterschiede zwischen 3 Dateien. Diff3
kann benutzt werden, wenn zwei Leute unabhngige nderungen zu einem
gemeinsamen Ursprung gemacht haben; diff3 kann eine Datei erzeugen,
die die nderungen beider Personen und Warnungen zu Konflikten
enthlt. Der sdiff-Befehl kann benutzt werden, um zwei Dateien
interaktiv zusammenzufgen.

%description -l pl
Diffutils zawiera nastpujce programy: diff, cmp, diff3 i sdiff. Diff
suy do porwnywania dwuch plikw wywietlajc rnice midzy nimi
linia po linii. Polecenie cmp numer bajtw na ktrych wystepuj
rnice midzy porwnywanymi plikami. Diff3 pokazuje rnice miedzy
trzema plikami. Diff3 moze by uyty np. w sytuacji kiedy dwie osoby
wykonay zmian niezalenie od siebie na jednym pliku, pozwalajc
uzyska poczon list zmian zawierajac informacje o tym, kto co
zmieni, a takze informacje o konfliktach miedzy tymi dwoma
modyfikacjami. Polecenie sdiff suy do interakcyjnego aczenia dwch
plikw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoconf
%configure

%{__make} PR_PROGRAM=%{_bindir}/pr

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/

%{__make} install DESTDIR=$RPM_BUILD_ROOT

# install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
# install man/pl/*.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1
tar xzvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_mandir}/
bzip2 -dc %{SOURCE2} | tar xvf - -C $RPM_BUILD_ROOT%{_mandir}/

gzip -9nf NEWS README

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc {NEWS,README}.gz

%attr(755,root,root) %{_bindir}/*
%{_infodir}/diff.info*
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt) %{_mandir}/pt/man1/*
%lang(ru) %{_mandir}/ru/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: diffutils.spec,v $
Revision 1.33  2001/10/16 23:35:52  ankry
- fixed man-pages unpacking

Revision 1.32  2001/10/16 09:44:51  ankry
- make .tar.bz2 standard non-english-man-pages format

Revision 1.31  2001/10/11 12:26:48  qboosh
- BuildRequires: autoconf

Revision 1.30  2001/09/16 20:26:31  ankry
- updated existing man pages
- added man pages in extra languages (de, es, fr, hu, it, ko, nl, pt, ru)
- increased release version to 5

Revision 1.29  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.28  2001/09/03 14:47:10  kloczek
- release 4.

Revision 1.27  2001/09/03 12:48:35  gotar
- awful %%configure macro expansions removed,
- no functional nor release changes.

Revision 1.26  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/07/03 19:53:27  kloczek
- updated to 2.7.2,
- merge immunix-owl-tmp with fix tmp race (patch from Immunix).

Revision 1.23  2000/10/16 19:39:56  kloczek
- added URL.

Revision 1.22  2000/10/16 19:31:44  kloczek
- release 22: adaperized and added using new rpm automation.

Revision 1.21  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.19  2000/05/18 18:08:16  kloczek
- spec adapterized.

Revision 1.18  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/%post is executed only when info is already
  installed

Revision 1.17  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.15  1999/09/25 11:20:42  kloczek
- new de translation from Mandrake Linux,
- updated pl translation,
- added DESTDIR patch,
- added using %%configure macro,
- diff.1 must belongs to this package (not to man-pages).

Revision 1.14  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.13  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.12  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.7-16]
- spec cleanup

* Thu Apr  1 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.7-15]
- added cmp(1), diff(1), diff3(1), sdiff(1) man pages and pl man page
  diff(1),
- standarized {un}registration info pages (added diffutils-info.patch).

* Thu Sep 24 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [2.7-12]
- added pl translation,
- adde -q %setup parameter,
- moved CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" from make
  to configure (as a much safer solution).
